libglom-1.32 1.32.0

Public Types | Public Member Functions | Public Attributes | List of all members
Glom::FoundSet Class Reference

A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause). More...

Collaboration diagram for Glom::FoundSet:
[legend]

## Public Types
typedef std::pair< std::shared_ptr< const LayoutItem_Field >, bool > | type_pair_sort_field
| field, ascending More...

## Public Member Functions
| FoundSet () noexcept
| FoundSet (const FoundSet& src)=default
| FoundSet (FoundSet&& src)=default
FoundSet& | operator= (const FoundSet& src)=default
FoundSet& | operator= (FoundSet&& src)=default

## Public Attributes
Glib::ustring | m_table_name
std::shared_ptr< const Relationship > | m_extra_join
Gnome::Gda::SqlExpr | m_where_clause
std::vector< type_pair_sort_field > | m_sort_clause

## Detailed Description

A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause).

## Member Typedef Documentation

## ◆ type_pair_sort_field

typedef std::pair< std::shared_ptr<const LayoutItem_Field>, bool> Glom::FoundSet::type_pair_sort_field

field, ascending

## Constructor & Destructor Documentation

## ◆ FoundSet() [1/3]

Glom::FoundSet::FoundSet | ( |  | ) |
| noexcept

## ◆ FoundSet() [2/3]

Glom::FoundSet::FoundSet | ( | const FoundSet& | src | ) |
| default

## ◆ FoundSet() [3/3]

Glom::FoundSet::FoundSet | ( | FoundSet&& | src | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

FoundSet& Glom::FoundSet::operator= | ( | const FoundSet& | src | ) |
| default

## ◆ operator=() [2/2]

FoundSet& Glom::FoundSet::operator= | ( | FoundSet&& | src | ) |
| default

## Member Data Documentation

## ◆ m_extra_join

std::shared_ptr<const Relationship> Glom::FoundSet::m_extra_join

## ◆ m_sort_clause

std::vector<type_pair_sort_field> Glom::FoundSet::m_sort_clause

## ◆ m_table_name

Glib::ustring Glom::FoundSet::m_table_name

## ◆ m_where_clause

Gnome::Gda::SqlExpr Glom::FoundSet::m_where_clause

The documentation for this class was generated from the following file:

- libglom/data_structure/foundset.h